<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="templates/template.xhtml">

	<ui:define name="content">
        <h:form>       
            <p:outputLabel value="Bienvenido a RUN" />
            <p:separator  />
            <p:accordionPanel  activeIndex="0" rendered="#{alertaMB.mostrarAlertas()}">
            	<p:tab title="Alertas">
            		<p:dataTable id="alertas" var="ent" value="#{alertaMB.list}" 
                 			emptyMessage="No hay resultados para esa busqueda">
                 			
                 		<p:columnGroup type="header">
            				<p:row>	
				                <p:column rowspan="2" headerText="Equipo Territorial Provincial" />
				                <p:column colspan="4" headerText="Vencidas" />
				                <p:column colspan="4" headerText="Por Vencer" rendered="#{alertaMB.mostrarAlertasPorVencer()}"/>
				                <p:column rowspan="2" headerText="180 dias del comienzo de la medida" style="text-shadow: 1.5px 0 #888888;letter-spacing:2px;"/>
				                <p:column rowspan="2" headerText="Línea #102 Pendientes" />
            				</p:row>
            				<p:row>
				                <p:column headerText="PER 45 dias" />
				                <p:column headerText="PER 90 dias" />
				                <p:column headerText="PER 120 dias" />
				                <p:column headerText="PER 150" />
				                <p:column headerText="PER 45 dias" rendered="#{alertaMB.mostrarAlertasPorVencer()}" />
				                <p:column headerText="PER 90 dias" rendered="#{alertaMB.mostrarAlertasPorVencer()}"/>
				                <p:column headerText="PER 120 dias" rendered="#{alertaMB.mostrarAlertasPorVencer()}"/>
				                <p:column headerText="PER 150" rendered="#{alertaMB.mostrarAlertasPorVencer()}"/>
            				</p:row>	
               			</p:columnGroup>
               			
                 		<p:column >
			                <p:outputLabel value="#{ent.zonal.nombre}" />
            			</p:column>
   			            <p:column>
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cant45}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER45" />
                				<f:attribute name="porVencer" value="false"/> 
                			</p:commandButton> 
            			</p:column>          
               			<p:column>
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cant90}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER90" />
                				<f:attribute name="porVencer" value="false"/> 
                			</p:commandButton> 
            			</p:column>
						<p:column>
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cant120}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER120" />
                				<f:attribute name="porVencer" value="false"/> 
                			</p:commandButton> 
            			</p:column>                      		
            			<p:column>
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cant150}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER150" />
                				<f:attribute name="porVencer" value="false"/> 
                			</p:commandButton>   
            			</p:column>
            			<p:column rendered="#{alertaMB.mostrarAlertasPorVencer()}">
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cantPorVencer45}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER45" />
                				<f:attribute name="porVencer" value="true"/> 
                			</p:commandButton>   			            	
            			</p:column>
            			<p:column rendered="#{alertaMB.mostrarAlertasPorVencer()}">
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cantPorVencer90}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER90" />
                				<f:attribute name="porVencer" value="true"/> 
                			</p:commandButton>   
            			</p:column>                    	              
            			<p:column rendered="#{alertaMB.mostrarAlertasPorVencer()}">
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cantPorVencer120}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER120" />
                				<f:attribute name="porVencer" value="true"/> 
                			</p:commandButton>   
            			</p:column>                    	                
            			<p:column rendered="#{alertaMB.mostrarAlertasPorVencer()}">
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cantPorVencer150}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="tipoMPE" value="tipoIntervencion.idPER150" />
                				<f:attribute name="porVencer" value="true"/> 
                			</p:commandButton>   
            			</p:column> 
            			<p:column>
            				<p:commandButton  action="/legajo/listado.xhtml" 
            						value="#{ent.cant180}" 
            						actionListener="#{legajoMB.setParamsBusqueda}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                				<f:attribute name="masDe180" value="true"/> 
                			</p:commandButton>   
            			</p:column> 
            			<p:column>
            				<p:commandButton  action="/llamada102/listado.xhtml" 
            						value="#{ent.cantPendientes102}" 
            						actionListener="#{llamada102MB.setZonal}"
            						ajax="false">
                				<f:attribute name="zonal" value="#{ent.zonal}" />
                			</p:commandButton>
            			</p:column>                    	                             	                    	          
               		</p:dataTable>
            	</p:tab>
            </p:accordionPanel>
            <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    	</h:form>
	</ui:define>
</ui:composition>